CS::Graphics::OverlayShaderVariableContextImpl Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Graphics::OverlayShaderVariableContextImpl Class Reference

iShaderVariableContext implementation that overlays (or merges) it's variables over the variables of a given parent context. More...

`#include <csgfx/shadervarcontext.h>`

Inheritance diagram for CS::Graphics::OverlayShaderVariableContextImpl:

List of all members.

## Public Member Functions
void | AddVariable (csShaderVariable *variable)
| Add a variable to this context.
void | Clear ()
| Remove all variables from this context.
const csRefArray < csShaderVariable > & | GetShaderVariables () const
| Get Array of all ShaderVariables.
csShaderVariable * | GetVariable (ShaderVarStringID name) const
| Get a named variable from this context.
bool | IsEmpty () const
| Determine whether this SV context contains any variables at all.
void | PushVariables (csShaderVariableStack &stacks) const
| Push the variables of this context onto the variable stacks supplied in the "stacks" argument.
bool | RemoveVariable (csShaderVariable *variable)
| Remove the given variable from this context.
bool | RemoveVariable (ShaderVarStringID name)
| Remove the variable with the given name from this context.
void | ReplaceVariable (csShaderVariable *variable)
| Replace the current variable object of the same name as variable with the latter, add variable otherwise.

## Detailed Description

iShaderVariableContext implementation that overlays (or merges) it's variables over the variables of a given parent context.

Definition at line 68 of file shadervarcontext.h.

## Member Function Documentation

void CS::Graphics::OverlayShaderVariableContextImpl::AddVariable | ( | csShaderVariable * | variable | ) | `[inline, virtual]`

Add a variable to this context.

Remarks:
  If a variable of the same name exists in the current context, its contents are replaced with those of variable.

Reimplemented from CS::Graphics::ShaderVariableContextImpl.

Definition at line 79 of file shadervarcontext.h.

void CS::Graphics::OverlayShaderVariableContextImpl::Clear | ( |  | ) | `[inline, virtual]`

Remove all variables from this context.

Reimplemented from CS::Graphics::ShaderVariableContextImpl.

Definition at line 105 of file shadervarcontext.h.

const csRefArray<csShaderVariable>& CS::Graphics::OverlayShaderVariableContextImpl::GetShaderVariables | ( |  | ) | const`[inline, virtual]`

Get Array of all ShaderVariables.

Reimplemented from CS::Graphics::ShaderVariableContextImpl.

Definition at line 88 of file shadervarcontext.h.

csShaderVariable* CS::Graphics::OverlayShaderVariableContextImpl::GetVariable | ( | ShaderVarStringID | name | ) | const`[inline, virtual]`

Get a named variable from this context.

Reimplemented from CS::Graphics::ShaderVariableContextImpl.

Definition at line 81 of file shadervarcontext.h.

bool CS::Graphics::OverlayShaderVariableContextImpl::IsEmpty | ( |  | ) | const`[inline, virtual]`

Determine whether this SV context contains any variables at all.

Reimplemented from CS::Graphics::ShaderVariableContextImpl.

Definition at line 98 of file shadervarcontext.h.

void CS::Graphics::OverlayShaderVariableContextImpl::PushVariables | ( | csShaderVariableStack & | stack | ) | const`[inline, virtual]`

Push the variables of this context onto the variable stacks supplied in the "stacks" argument.

Reimplemented from CS::Graphics::ShaderVariableContextImpl.

Definition at line 93 of file shadervarcontext.h.

bool CS::Graphics::OverlayShaderVariableContextImpl::RemoveVariable | ( | csShaderVariable * | variable | ) | `[inline, virtual]`

Remove the given variable from this context.

Reimplemented from CS::Graphics::ShaderVariableContextImpl.

Definition at line 106 of file shadervarcontext.h.

bool CS::Graphics::OverlayShaderVariableContextImpl::RemoveVariable | ( | ShaderVarStringID | name | ) | `[inline, virtual]`

Remove the variable with the given name from this context.

Reimplemented from CS::Graphics::ShaderVariableContextImpl.

Definition at line 111 of file shadervarcontext.h.

void CS::Graphics::OverlayShaderVariableContextImpl::ReplaceVariable | ( | csShaderVariable * | variable | ) | `[inline, virtual]`

Replace the current variable object of the same name as variable with the latter, add variable otherwise.

Remarks:
  This differs from AddVariable() as this method replaces the variable *object*, not just the contents.

Reimplemented from CS::Graphics::ShaderVariableContextImpl.

Definition at line 103 of file shadervarcontext.h.

The documentation for this class was generated from the following file:

- csgfx/shadervarcontext.h